This page was not yet optimized for use on mobile devices.
Juniper Networks vSRX 3.0 Virtual Firewall
Certificate details
| Certificate ID | #3677 |
|---|---|
| Status | historical |
| Historical reason | Moved to historical list due to sunsetting |
| Validation dates | 07.07.2020 |
| Standard | FIPS 140-2 |
| Security level | 1 |
| Type | Software |
| Embodiment | Multi-Chip Stand Alone |
| Caveat | When operated in FIPS mode |
| Exceptions |
|
| Description | The vSRX Virtual Firewall delivers a complete virtual firewall solution, including advanced security, robust networking, and automated virtual machine life cycle management capabilities for service providers and enterprises. vSRX empowers security professionals to deploy and scale firewall protection in highly dynamic environments. |
| Tested configurations |
|
| Vendor | Juniper Networks, Inc. http://www.juniper.net/ |
| Lab | Acumen Security |
| Algorithms | |
| References | This certificate's webpage directly references 0 certificates, transitively this expands into 0 certificates. |
Security policy
Extracted keywords
Symmetric Algorithms
AES, CAST, Triple-DES, TDES, TDEA, Blowfish, HMAC, HMAC-SHA-256, HMAC-SHA-512Asymmetric Algorithms
RSA 2048, RSA 4096, ECDH, ECDSA, Diffie-Hellman, DH, DSAHash functions
SHA-1, SHA1, SHA-256, SHA-512, MD5Schemes
Key Exchange, Key Agreement, AEADProtocols
SSH, SSHv2, IKE, IKEv2, IKEv1, IPsecRandomness
DRBG, RNGLibraries
OpenSSLElliptic Curves
P-256, P-384, P-521Block cipher modes
CBC, CTR, GCMSecurity level
Level 1, level 2Standards
FIPS 140-2, FIPS 140, FIPS140-2, FIPS PUB 140-2, SP 800-38D, SP 800-67, SP 800-135, SP 800-90A, RFC4106, RFC 4253, RFC 2409, RFC 4251, RFC 7296, RFC 6071, X.509Automated analysis
Automated inference - use with caution
All attributes shown in this section (e.g., links between certificates, products, vendors, and known CVEs) are generated by automated heuristics and have not been reviewed by humans. These methods can produce false positives or false negatives and should not be treated as definitive without independent verification. This applies equally to the Cross-references section below. If you want to know more about how this data is computed and how reliable it is, see our documentation on automated analysis. If you believe any information here is inaccurate or harmful, please submit feedback.No automatically derived data are available in this section.
Cross-references
No references are available for this certificate.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate was first processed.
{
"_type": "sec_certs.sample.fips.FIPSCertificate",
"cert_id": 3677,
"dgst": "2ca9f63bb06128cd",
"heuristics": {
"_type": "sec_certs.sample.fips.FIPSCertificate.Heuristics",
"algorithms": {
"_type": "Set",
"elements": [
"#C937",
"#C939",
"#C935",
"AES#C937",
"SHS#C936",
"KTS#C937",
"DRBG#C937",
"CVL#C935",
"HMAC#C934",
"ECDSA#C939",
"SHS#C932",
"#C936",
"DRBG#C939",
"HMAC#C937",
"CVL#C939",
"HMAC#C932",
"ECDSA#C937",
"RSA#C939",
"HMAC#C939",
"#C932",
"Triple-DES#C939",
"AES#C936",
"SHS#C939",
"RSA#C937",
"Triple-DES#C937",
"#C934",
"Triple-DES#C936",
"SHS#C937",
"SHS#C934",
"HMAC#C936",
"AES#C939",
"KTS#C939",
"DRBG#C932"
]
},
"cpe_matches": null,
"direct_transitive_cves": null,
"extracted_versions": {
"_type": "Set",
"elements": [
"3.0"
]
},
"indirect_transitive_cves": null,
"module_processed_references": {
"_type": "sec_certs.sample.certificate.References",
"directly_referenced_by": null,
"directly_referencing": null,
"indirectly_referenced_by": null,
"indirectly_referencing": null
},
"module_prunned_references": {
"_type": "Set",
"elements": []
},
"policy_processed_references": {
"_type": "sec_certs.sample.certificate.References",
"directly_referenced_by": null,
"directly_referencing": null,
"indirectly_referenced_by": null,
"indirectly_referencing": null
},
"policy_prunned_references": {
"_type": "Set",
"elements": []
},
"related_cves": null,
"verified_cpe_matches": null
},
"pdf_data": {
"_type": "sec_certs.sample.fips.FIPSCertificate.PdfData",
"br1_deviations": 44,
"br1_tables": null,
"is_br1_format": false,
"keywords": {
"asymmetric_crypto": {
"ECC": {
"ECDH": {
"ECDH": 18
},
"ECDSA": {
"ECDSA": 26
}
},
"FF": {
"DH": {
"DH": 7,
"Diffie-Hellman": 23
},
"DSA": {
"DSA": 3
}
},
"RSA": {
"RSA 2048": 11,
"RSA 4096": 2
}
},
"certification_process": {},
"cipher_mode": {
"CBC": {
"CBC": 13
},
"CTR": {
"CTR": 2
},
"GCM": {
"GCM": 12
}
},
"cplc_data": {},
"crypto_engine": {},
"crypto_library": {
"OpenSSL": {
"OpenSSL": 2
}
},
"crypto_protocol": {
"IKE": {
"IKE": 21,
"IKEv1": 6,
"IKEv2": 7
},
"IPsec": {
"IPsec": 18
},
"SSH": {
"SSH": 38,
"SSHv2": 4
}
},
"crypto_scheme": {
"AEAD": {
"AEAD": 3
},
"KA": {
"Key Agreement": 1
},
"KEX": {
"Key Exchange": 2
}
},
"device_model": {},
"ecc_curve": {
"NIST": {
"P-256": 58,
"P-384": 44,
"P-521": 16
}
},
"eval_facility": {},
"fips_cert_id": {},
"fips_certlike": {
"Certlike": {
"# C937": 16,
"# C939": 8,
"AES CBC 128/192/256": 5,
"AES GCM 10": 1,
"DRBG 2": 1,
"HMAC SHA-1": 1,
"HMAC SHA-256": 4,
"HMAC-SHA- 1": 1,
"HMAC-SHA- 1-96": 2,
"HMAC-SHA- 256": 1,
"HMAC-SHA- 512": 1,
"HMAC-SHA-1": 4,
"HMAC-SHA-256": 8,
"HMAC-SHA-512": 2,
"RSA 2048": 11,
"RSA 4096": 2,
"SHA 1, 256": 1,
"SHA 256": 16,
"SHA 384": 6,
"SHA 512": 4,
"SHA-1": 9,
"SHA-256": 20,
"SHA-384": 1,
"SHA-512": 3,
"SHA1": 1
}
},
"fips_security_level": {
"Level": {
"Level 1": 3,
"level 2": 2
}
},
"hash_function": {
"MD": {
"MD5": {
"MD5": 2
}
},
"SHA": {
"SHA1": {
"SHA-1": 9,
"SHA1": 1
},
"SHA2": {
"SHA-256": 24,
"SHA-512": 3
}
}
},
"ic_data_group": {},
"javacard_api_const": {},
"javacard_packages": {},
"javacard_version": {},
"os_name": {},
"pq_crypto": {},
"randomness": {
"PRNG": {
"DRBG": 14
},
"RNG": {
"RNG": 2
}
},
"side_channel_analysis": {},
"standard_id": {
"FIPS": {
"FIPS 140": 1,
"FIPS 140-2": 6,
"FIPS PUB 140-2": 1,
"FIPS140-2": 1
},
"NIST": {
"SP 800-135": 4,
"SP 800-38D": 2,
"SP 800-67": 3,
"SP 800-90A": 7
},
"RFC": {
"RFC 2409": 1,
"RFC 4251": 1,
"RFC 4253": 1,
"RFC 6071": 1,
"RFC 7296": 1,
"RFC4106": 2
},
"X509": {
"X.509": 2
}
},
"symmetric_crypto": {
"AES_competition": {
"AES": {
"AES": 31
},
"CAST": {
"CAST": 1
}
},
"DES": {
"3DES": {
"TDEA": 1,
"TDES": 3,
"Triple-DES": 23
}
},
"constructions": {
"MAC": {
"HMAC": 37,
"HMAC-SHA-256": 4,
"HMAC-SHA-512": 1
}
},
"miscellaneous": {
"Blowfish": {
"Blowfish": 1
}
}
},
"tee_name": {},
"tls_cipher_suite": {},
"vendor": {},
"vulnerability": {}
},
"module_algorithms": {
"_type": "Set",
"elements": [
"AES#C937",
"SHS#C936",
"KTS#C937",
"DRBG#C937",
"CVL#C935",
"HMAC#C934",
"ECDSA#C939",
"SHS#C932",
"DRBG#C939",
"HMAC#C937",
"CVL#C939",
"HMAC#C932",
"ECDSA#C937",
"RSA#C939",
"HMAC#C939",
"Triple-DES#C939",
"AES#C936",
"SHS#C939",
"RSA#C937",
"Triple-DES#C937",
"SHS#C937",
"SHS#C934",
"KTS#C939",
"HMAC#C936",
"AES#C939",
"Triple-DES#C936",
"DRBG#C932"
]
},
"policy_algorithms": {
"_type": "Set",
"elements": [
"#C937",
"#C939",
"#C936",
"#C932",
"#C935",
"#C934"
]
},
"policy_metadata": {
"/Author": "Jennifer Brady",
"/CreationDate": "D:20200625095513-04\u002700\u0027",
"/Creator": "Microsoft\u00ae Word for Microsoft 365",
"/ModDate": "D:20200625095513-04\u002700\u0027",
"/Producer": "Microsoft\u00ae Word for Microsoft 365",
"/Subject": "FIPS 140-2 Security Policy Template",
"pdf_file_size_bytes": 676538,
"pdf_hyperlinks": {
"_type": "Set",
"elements": [
"http://www.juniper.net/support/downloads/?p=vsrx#sw",
"https://www.juniper.net/documentation/en_US/vsrx/information-products/pathway-pages/security-vsrx-vmware-guide-pwp.pdf",
"http://www.juniper.net/assets/us/en/local/pdf/datasheets/1000489-en.pdf"
]
},
"pdf_is_encrypted": false,
"pdf_number_of_pages": 27
}
},
"state": {
"_type": "sec_certs.sample.fips.InternalState",
"module": {
"_type": "sec_certs.sample.document_state.DocumentState",
"convert_ok": true,
"download_ok": true,
"extract_ok": true,
"json_hash": null,
"source_hash": null,
"txt_hash": null
},
"policy": {
"_type": "sec_certs.sample.document_state.DocumentState",
"convert_ok": true,
"download_ok": true,
"extract_ok": true,
"json_hash": "7ec6879d8970da50eb9928d3e82386acb2331308c012c7b2f3a72ebacd14b759",
"source_hash": "cce72ccd04cbb3e872683a90fd0928df966723567acd8d3cff00679024bef6dc",
"txt_hash": "37a95837415cdfde3645ac432f48e710264bed32a16eaa0ad77dee9c70235a68"
}
},
"web_data": {
"_type": "sec_certs.sample.fips.FIPSCertificate.WebData",
"caveat": "When operated in FIPS mode",
"certificate_pdf_url": "https://csrc.nist.gov/CSRC/media/projects/cryptographic-module-validation-program/documents/certificates/July 2020_030820_0656_signed.pdf",
"date_sunset": null,
"description": "The vSRX Virtual Firewall delivers a complete virtual firewall solution, including advanced security, robust networking, and automated virtual machine life cycle management capabilities for service providers and enterprises. vSRX empowers security professionals to deploy and scale firewall protection in highly dynamic environments.",
"embodiment": "Multi-Chip Stand Alone",
"exceptions": [
"Roles, Services, and Authentication: Level 3",
"Physical Security: N/A",
"Design Assurance: Level 3",
"Mitigation of Other Attacks: N/A"
],
"fw_versions": null,
"historical_reason": "Moved to historical list due to sunsetting",
"hw_versions": null,
"level": 1,
"mentioned_certs": {},
"module_name": "Juniper Networks vSRX 3.0 Virtual Firewall",
"module_type": "Software",
"revoked_link": null,
"revoked_reason": null,
"standard": "FIPS 140-2",
"status": "historical",
"sw_versions": "Junos OS 19.2R1",
"tested_conf": [
"and Junos OS 19.2R1 on VMware ESXi 6.5 running on a PacStar 451 Server with Intel Corei5",
"Junos OS 19.2R1 on VMware ESXi 6.5 running on a HP ProLiant DL380 Gen9 Server with Intel Xeon E5",
"Junos OS 19.2R1 on VMware ESXi 6.5 running on a PacStar 451 Server with Intel Xeon D"
],
"validation_history": [
{
"_type": "sec_certs.sample.fips.FIPSCertificate.ValidationHistoryEntry",
"date": "2020-07-07",
"lab": "Acumen Security",
"validation_type": "Initial"
}
],
"vendor": "Juniper Networks, Inc.",
"vendor_url": "http://www.juniper.net/"
}
}